# Quick selector

Syntactic sugar for querySelectorAll & addEventListener allowing you to select, modify, and add event listeners for multiple elements in one line of code.

## Install

Node:

`npm install quick-selector`

Browser:

`<script src=""></script>`

Examples

```javascript
// Quick selector
qs`input.email`.input(ev => console.log(ev.target.value)).click(ev => ev.target.value = '')

// Vanilla JS
const emailInput = document.querySelectorAll('input.email')
for (const input of emailInput) {
  input.addEventListener('input', ev => {
    console.log(ev.target.value)
  })
  input.addEventListener('click', ev => {
    ev.target.value = ''
  })
}
```

